Subject: Reviewer Invitation for FSS-D-25-01341
From: Fuzzy sets and systems <[email-masked]>
To: Andrzej Skowron <[email-masked]>
Date: Mon, 1 Dec 2025 19:49:32 +0000

Ms. Ref. No.: FSS-D-25-01341
Title: A survey on fuzzy β-covering rough set models, measurement systems, and applications: Advances and prospects from 2016--2026
Fuzzy Sets and Systems

Dear Professor Andrzej Skowron,

I have assigned the above-referenced manuscript submitted by Professor Jianming Zhan to you for review as I believe it falls within your expertise and interest. The abstract for this manuscript is included below. I would be grateful if you would complete this review for Fuzzy Sets and Systems.

Below is the abstract of the manuscript.

You should treat this invitation, the manuscript and your review (as well as other reviewer comments shared with you) as confidential. You must not share your review or information about the review process with anyone without the agreement of the editors and authors involved, irrespective of the publication outcome. If the manuscript is
rejected by this journal and the author agrees that the submission be transferred to another Elsevier journal via the Article Transfer Service, we may securely transfer your reviewer comments and name/contact details to the receiving journal editor for their peer review purposes.

You should treat this invitation, the manuscript and your review (as well as other reviewer comments shared with you) as confidential. You must not share your review or information about the review process with anyone without the agreement of the editors and authors involved, irrespective of the publication outcome. If the manuscript is rejected by this journal and the author agrees that the submission be transferred to another Elsevier journal via the Article Transfer Service, we may securely transfer your reviewer comments and name/contact details to the receiving journal editor for their peer review purposes.

If you are willing to review this manuscript, please click on the link
below:
Agree to Review

If you are unable, please click on the link below. We would appreciate receiving suggestions for alternative reviewers:
Decline to Review

Alternatively, you may register your response by accessing the Editorial Manager for Fuzzy Sets and Systems as a REVIEWER using the login credentials below:

https://www.editorialmanager.com/fss/
Your username is: [email-masked]
If you do not know your confidential password, you may reset it by clicking this link: click here to reset your password

Update Personal Classifications and Keywords

For security reasons we are not able to show you your
password here, if you do not remember your password or this is the first time you log-in, please click the "send password" link on the login page.

3. Clicking on [Reviewer Login]
This takes you to the Reviewer Main Menu.

4. Selecting [New Reviewer Invitations]

5. Agreeing or declining the invitation to review [Agree to Review] or [Decline to Review]
Please also note that authors have been invited to convert their supplementary material into a Data in Brief article (a data description article). You may notice this change alongside the revised manuscript. You do not need to review this, but may need to look at the files in order to confirm that any supporting information you requested is present there.

As a reviewer you are entitled to complimentary access to references, abstracts, and full-text articles on ScienceDirect and Scopus for 30 days. Full details on how to claim your access via Reviewer Hub
(reviewerhub.elsevier.com) will be provided upon your acceptance of this invitation to review.

Please visit the Elsevier Reviewer Hub (reviewerhub.elsevier.com) to manage all your refereeing activities for this and other Elsevier journals on Editorial Manager.

I look forward to hearing from you in the near future.

Yours sincerely,

Slawomir Zadrozny, PhD
Area Editor
Fuzzy Sets and Systems

Reviewer Guidelines are now available to help you with your review: http://www.elsevier.com/wps/find/reviewershome.reviewers/reviewersguidelines

******************************************
Need help with using EM?

For further assistance, please visit our customer support site at http://help.elsevier.com/app/answers/list/p/7923. Here you can search for solutions on a range of topics, find answers to frequently asked questions and learn more about EM via interactive tutorials. You will also find
our 24/7 support contact details should you need any further assistance from one of our customer support representatives.

Please note: Reviews are subject to a confidentiality policy,
http://service.elsevier.com/app/answers/detail/a_id/14156/supporthub/publishing/

#REV_FSS#

To ensure this email reaches the intended recipient, please do not delete the above code

In compliance with data protection regulations, you may request that we remove your personal registration details at any time. (Remove my information/details). Please contact the publication office if you have any questions.